Promotes a Release in the Delivery Pipeline.
HTTP request
POST https://clouddeploy.googleapis.com/v1/{name=projects/*/locations/*/deliveryPipelines/*/releases/*}:promote
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The |
Request body
The request body contains data with the following structure:
| JSON representation | |
|---|---|
{ "toTarget": string, "destinationTarget": string, "rolloutId": string, "annotations": { string: string, ... }, "labels": { string: string, ... } } |
|
| Fields | |
|---|---|
toTarget |
Optional. The name of the |
destinationTarget |
Optional. The name of the |
rolloutId |
Optional. The ID to assign to the generated |
annotations |
Optional. User annotations to place on the created An object containing a list of |
labels |
Optional. Labels to be placed on the created An object containing a list of |
Response body
If successful, the response body contains data with the following structure:
The response object from releases.promote.
| JSON representation | |
|---|---|
{
"release": string,
"rollout": {
object ( |
|
| Fields | |
|---|---|
release |
The |
rollout |
|
rolloutResource |
The name of the |
target |
The name of the |
operation |
The name of the operation that is tracking the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
Promotion
Details around a Release promotion.
| JSON representation | |
|---|---|
{ "target": string, "rollout": string, "operation": string } |
|
| Fields | |
|---|---|
target |
The name of the |
rollout |
The name of the |
operation |
The name of the operation that is tracking the |